<?php

/**
 * @author TilkiBey
 * XenForo-Turkiye.com
 */

class TilkiBey_HLFG_Extend_BbCode_Formatter_Base extends XFCP_TilkiBey_HLFG_Extend_BbCode_Formatter_Base
{
    
    public function renderTagUrl(array $tag, array $rendererStates)
    {
        
        $parent = parent::renderTagUrl($tag, $rendererStates);
        
        $visitor = XenForo_Visitor::getInstance(); 
        
        if($visitor['user_id'] == 0)
        {
            
            $options = XenForo_Application::get('options');
            $whitelist = explode(',', str_replace(' ', '', $options->tlk_hlfg_whitelist));
            
            $a = new SimpleXMLElement($parent);
          
            $domain = parse_url($a['href'], PHP_URL_HOST);
            
            if (substr($domain, 0, 4) == 'www.')
            {
                $domain = substr($domain, 4, strlen($domain));
            }
            
            if(in_array(strtolower($domain), $whitelist))
                return $parent;
                
            return $options->tlk_hlfg_warntext;

        }
        
        return $parent;
    }
    
}